org.gradle.ide.visualstudio.tasks

## Class GenerateProjectFileTask

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.plugins.ide.api.GeneratorTask<T>
        - - org.gradle.plugins.ide.api.XmlGeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile>
          - - org.gradle.ide.visualstudio.tasks.GenerateProjectFileTask

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class GenerateProjectFileTask
      extends XmlGeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile>

  Task for generating a project file.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `afterConfigured, beforeConfigured, domainObject, generator`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerateProjectFileTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configure(org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile projectFile)`
    `protected org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile` | `create()`
    `String` | `getGradleArgs()`
    `String` | `getGradleExe()`
    `File` | `getInputFile()` The input file to load the initial configuration from.
    `File` | `getOutputFile()` The output file to write the final configuration to.
    `Transformer<String,File>` | `getTransformer()`
    `VisualStudioProject` | `getVisualStudioProject()`
    `void` | `initGradleCommand()`
    `void` | `setGradleArgs(String gradleArgs)`
    `void` | `setGradleExe(String gradleExe)`
    `void` | `setVisualStudioProject(VisualStudioProject vsProject)`

    - ### Methods inherited from class org.gradle.plugins.ide.api.XmlGeneratorTask

      `getXmlTransformer`

    - ### Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `getInputFileIfExists, getInstantiator, setInputFile, setOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActionClassLoaders, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateProjectFileTask

          public GenerateProjectFileTask()

  - ### Method Detail

    - #### initGradleCommand

          public void initGradleCommand()

    - #### getTransformer

          @Internal
          public Transformer<String,File> getTransformer()

    - #### setVisualStudioProject

          public void setVisualStudioProject(VisualStudioProject vsProject)

    - #### getVisualStudioProject

          @Internal
          public VisualStudioProject getVisualStudioProject()

    - #### getInputFile

          public File getInputFile()

      Description copied from class: `GeneratorTask`
      The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
      Overrides:
        `getInputFile` in class `GeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile>`
      Returns:
        The input file.

    - #### getOutputFile

          public File getOutputFile()

      Description copied from class: `GeneratorTask`
      The output file to write the final configuration to.
      Overrides:
        `getOutputFile` in class `GeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile>`
      Returns:
        The output file.

    - #### create

          protected org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile create()

      Specified by:
        `create` in class `XmlGeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile>`

    - #### configure

          protected void configure(org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile projectFile)

      Specified by:
        `configure` in class `XmlGeneratorTask<org.gradle.ide.visualstudio.tasks.internal.VisualStudioProjectFile>`

    - #### getGradleExe

          @Input
          public String getGradleExe()

    - #### setGradleExe

          public void setGradleExe(String gradleExe)

    - #### getGradleArgs

          @Input
          @Optional
          public String getGradleArgs()

    - #### setGradleArgs

          public void setGradleArgs(String gradleArgs)